Bug 642045 - major memory leak in radeon driver due when scrolling certain sites in firefox [rhel-6.0.z]
Summary: major memory leak in radeon driver due when scrolling certain sites in firefo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On: 640871
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-11 20:49 UTC by Benjamin Kahn
Modified: 2010-11-11 12:04 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, a race condition in the TTM (Translation Table Maps) module of the DRM (Direct Rendering Manager) between the object destruction thread and object eviction could result in a major loss of large objects reference counts. Consequently, this caused a major amount of memory leak. With this update, the race condition no longer occurs and any memory leaks are prevented.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-11 20:49:53 UTC
This bug has been copied from bug #640871 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-12 18:53:38 UTC
in kernel-2.6.32-71.4.1.el6

Comment 7 errata-xmlrpc 2010-11-10 19:11:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 8 Martin Prpič 2010-11-11 12:04:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, a race condition in the TTM (Translation Table Maps) module of the DRM (Direct Rendering Manager) between the object destruction thread and object eviction could result in a major loss of large objects reference counts. Consequently, this caused a major amount of memory leak. With this update, the race condition no longer occurs and any memory leaks are prevented.


Note You need to log in before you can comment on or make changes to this bug.